E-MailRelay

Classes | Namespaces | Functions
gmessagestore.h File Reference
`#include "gdef.h"`
`#include "gexception.h"`
`#include "gslot.h"`
`#include "gstrings.h"`
`#include "gpath.h"`
`#include <memory>`

Go to the source code of this file.

## Classes
class | GSmtp::MessageId
| A somewhat opaque identifer for a MessageStore message. More...
class | GSmtp::MessageStore
| A class which allows SMTP messages to be stored and retrieved. More...
struct | GSmtp::MessageStore::Iterator
| A base class for GSmtp::MessageStore iterators. More...

## Namespaces
namespace | GSmtp
| SMTP and message-store classes.

## Functions
std::unique_ptr< StoredMessage > | GSmtp::operator++ (std::shared_ptr< MessageStore::Iterator > &iter)